body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  background-color: #16111d;
  color: #ecdeff;
  overflow-x: hidden;
}

#root {
  display: flex;
  flex-direction: column;
  align-items: center;
  /* border: 1px solid red; */
  position: relative;
}
#root > nav {
  /* border: 1px solid yellow; */
  width: 100%;
  position: sticky;
  background-color: rgba(22, 17, 29, 0.9);
  top: 0;
  left: 0;
  height: 70px;
}
#root > nav .navbar-logo {
  font-size: 1.4rem;
  font-weight: bold;
  color: #ecdeff;
  text-decoration: none;
}
#root > nav > div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.2rem 0.6rem !important;
  margin: 0 !important;
}
#root > nav ol {
  display: flex;
  list-style: none;
  gap: 1.2rem;
}
#root > nav ol li {
  display: flex;
  justify-content: center;
  align-items: center;
}
#root > nav ol li.active,
#root > nav ol li:hover {
  border-bottom: 3px solid #ecdeff;
}
#root > nav ol li a {
  text-align: center;
  font-size: 1.2rem;
  color: #ecdeff;
  font-weight: 500;
  text-decoration: none;
  padding: 0 0.4rem;
}
#root > div {
  /* border: 1px solid blue; */
  width: 100%;
  min-height: 100%;
  display: flex;
  justify-content: center;
  padding: 2rem 0.6rem;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}

div.question-table-wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 0.6rem;
}

table.table-question-1 {
  /* border: 1px solid red; */
}
table.table-question-1 tr.code {
  background-color: rgb(78, 78, 255);
}
table.table-question-1 tr.code > td {
  color: #ecdeff;
}
table.table-question-1 tr > td {
  padding: 0.4rem 1rem 0.4rem 0.4rem;
}

.text-left {
  text-align: left;
}

.opacity-0 {
  /* display: none; */
  opacity: 0;
}


.my-name {
  font-size: 3rem;
  font-weight: 600;
  /* border: 1px solid red; */
  height: 78vh;
  display: flex;
  align-items: center;
}

/* QUESTION */
.question-wrapper {
  border-left: 1px solid #362b44;
  border-right: 1px solid #362b44;
  max-width: 720px;
  width: 720px;
  padding: 2rem 0;
}

.question-wrapper ol li {
  margin-bottom: 3rem;
  /* border: 1px solid blue; */
}
.title-question {
  margin-bottom: 0.6rem;
}


.input-wrapper {
  max-width: 360px;
  display: flex;
  flex-direction: column;
  margin-bottom: 1rem;
}
.input-text {
  /* border: 1px solid red; */
  padding: 0.4rem;
  width: 100%;
  margin-bottom: 0.2rem;
}

.small {
  color: #b0a7bd;
}

.fibonacci-wrapper {
  padding-left: 1rem;
}

.fibonacci-box {
  margin-bottom: 1rem !important;
  color: #ecdeff;
}
.fibonacci-box > div {
  margin-top: 0.2rem;
  overflow-y: auto;
  max-height: 20rem;
}

i,
.word-wrap-break {
  word-wrap: break-word;
}

.answer-position-wrapper {
  /* border: 1px solid blue; */
  display: flex;
  row-gap: 0.4rem;
  column-gap: 0.4rem;
  flex-wrap: wrap;
  margin-bottom: 0.8rem;
}
.answer-position {
  /* border: 1px solid red; */
  width: max-content;
  text-align: center;
  padding: 0.2rem;
}
.answer-position > div {
  border-bottom: 1px solid rgb(64, 66, 85);
  width: max-content;
  padding: 0 0.4rem 0.2rem;
  font-size: 0.8rem;
}

.answer-position.active {
  background-color: #006a39;
}
.answer-position.active > div,
.answer-position.active > .small {
  color: #ecdeff;
}
.answer-position.active > div {
  border: 0px;
}




.pokemon-wrapper {
  padding: 2rem 0;
  width: 100%;
}

.header-pokemon-page {
  position: sticky;
  top: 0px;
  left: 0px;
  z-index: 9;
  background-color: rgba(22, 17, 29, 0.9);
  font-size: 1.6rem;
  display: flex;
  flex-wrap: wrap;
  gap: 0.6rem;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #362b44;
  margin-bottom: 2rem;
  padding: 0.6rem;
}

.pokemon-card-wrapper {
  /* border: 1px solid red; */
  display: flex;
  gap: 0.6rem;
  flex-wrap: wrap;
  justify-content: center;
}
.pokemon-card-wrapper > div {
  /* width: 100%; */
}
.pokemon-card,
.card-front,
.card-back {
  width: max-content;
}

.pokemon-card {
  /* border: 1px solid yellow; */
  overflow: hidden;
  display: flex;
  background-color: transparent;
  width: 300px;
  height: 420px;
  perspective: 1000px;
  border-radius: 0.4rem;
}

.pokemon-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  text-align: center;
  transition: transform 0.6s;
  transform-style: preserve-3d;
}


.pokemon-card.active .pokemon-card-inner,
.pokemon-card:hover .pokemon-card-inner {
  transform: rotateY(180deg);
}

.pokemon-card.active .card-back,
.pokemon-card:hover .card-back {
  box-shadow: rgba(0, 0, 0, 1) 0px 13px 27px -5px, rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.card-front, .card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}

.card-front {
  /* border: 1px solid blue; */
  display: flex;
}
.card-front img {
  width: 100%;
}

.card-back {
  /* border: 1px solid green; */
  transform: rotateY(180deg);
  background-color: #272030;
}
.card-back > div {
  display: flex;
  flex-direction: column;
  /* border: 1px solid green; */
  padding: 1.2rem 0.8rem 1.2rem 0.4rem;
  height: calc(100% - 2.4rem);
}
.card-back > div > table {
  width: 100%;
}
.card-back > div > table tr td {
  /* font-size: 1.2rem; */
  color: #b0a7bd;
}
.pokemon-header {
  font-size: 1.6rem;
  font-weight: 900;
  color: #ecdeff;
  text-align: left;
  padding-left: 0.2rem;
  margin-bottom: 0.6rem;
  display: flex;
  justify-content: space-between;
}
.pokemon-header svg {
  /* border: 1px solid red; */
  color: #ecdeff;
  cursor: pointer;
  margin-top: 0.2rem;
}
.pokemon-header svg:hover {
  color: rgb(255, 213, 136);
}
.pokemon-header svg.active {
  /* border: 1px solid red; */
  color: orange;
}

.abilities-wrapper {
  /* border: 1px solid red; */
  margin-top: 1rem;
  padding-left: 0.2rem;
  padding-right: 1rem;
  color: #b0a7bd;
  overflow-x: auto;
  max-height: 100%;
}

.abilities-box {
  /* border: 1px solid blue; */
  margin-bottom: 0.4rem;
}
.abilities-box div {
  font-weight: 600;
  font-size: 0.9rem;
}
.abilities-box span {
  font-weight: 400;
  font-size: 0.9rem;
}

.button-favorite {
  /* border: 1px solid red; */
  background-color: #e9ffa5;
  color: #16111d;
  font-size: 1.2rem;
  padding: 0.6rem 1rem;
  border-radius: 0.6rem;
  margin-bottom: 0.6rem;
  cursor: pointer;
}
.button-favorite:hover {
  background-color: #eff300;
}

.source-link {
  border: 1px solid red;
  color: #b0a7bd;
}

.border-box {
  box-sizing: border-box;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  min-height: 2rem;
}

@media only screen and (max-width: 420px) {
  #root > div {
    width: unset !important;
  }
  .question-wrapper {
    width: unset !important;
  }
  .input-wrapper .input-text {
    width: 85%;
  }
}
